
TYPO3.Flow - Task # 7719

Status: Resolved Priority: Must have
Author: Karol Gusak Category: I18n
Created: 2010-05-09 Assigned To: Karol Gusak
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Implement Locale class
Description

Locale class is a base for all i18n / l10n functionality in FLOW3. There already exists simple Locale class, so it should be used.

Related issues:
related to TYPO3.Flow - Bug # 6628: Default values in F3\FLOW3\Locale\Locale Resolved

History
#1 - 2010-05-09 17:18 - Karol Gusak
- Priority changed from Should have to Must have

#2 - 2010-05-14 22:08 - Karol Gusak
- % Done changed from 0 to 10

The Locale class was changed a little in Revision 4308. Default values were removed (all fields are now NULL by default), and convenient __toString()
method was added. This class will be extended successfully during the implementation of features related to Locale, if/when there will be such need.

#3 - 2010-05-21 19:23 - Karol Gusak
- Status changed from New to Accepted

#4 - 2010-08-15 21:37 - Karol Gusak
- Status changed from Accepted to Resolved
- % Done changed from 10 to 100

#5 - 2010-08-18 10:47 - Karsten Dambekalns
- Target version set to 1.0 alpha 11
